<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    // khởi tạo map
    var map = new Map([['name','truong'],['age','22'],['adress','Hà Nội']])
    console.log(map)
    // chuyển sang mảng
    var arr=[...map]
    console.log(arr);
    // thêm phần tử trong Map
    map.set('email','truong@gmail.com');
    console.log(map);
    // xóa phần tử
    map.delete('email');
    console.log(map);
    //kiểu tra phần tử có tồn tại trong map ko? >tìm kiếm theo key [key,value]
    console.log(map.has('22'));
    // tổng số phần tử trong map
    console.log(map.size)
    // lấy danh sách key
    for(let key of map.keys()){
        console.log(key)
    }
    // lấy danh sách value 
    for(let value of map.values()){
        console.log(value)
    }
    // lấy danh sách key và value trong map
    for(let entry of map.entries()){
        console.log(entry[0]+'-'+ entry[1])
    }
    // lặp các phần tử trong map
    for( let [key, value] of map){
        console.log(key+'-'+value)
    }
    // sử dụng forEach cho map  
    map.forEach((key,value)=>{
        console.log(key+'-'+value)
    })
    // mapping trong map
     var arr=[...map].map((key,value)=>{
        console.log(key +'-'+ value)
    })
    
    </script>
</body>
</html>